
   ########                    ####                  ####    ####
  ####  ####                 ########                ####   ####
 ####    #### ####    #### ####    #### ####    #### ####  ####
 ####    #### ####    #### ####    #### #### ####### #### ####
 ####    #### ####    #### ####    #### #######      ######
 ####    #### ####    #### ############ ####         #### ####
 ####    #### ####    #### ####    #### ####         ####  ####
  ####  ####   ####   #### ####    #### ####         ####   ####
   ########     ########## ####    #### ####         ####    ####
       #####
        #####      Quake Army Knife 6.6 Changelog


6.6.0 Beta 7
============
* [DanielPharos]: Implemented Scroll Lock support in treeviews.

* [DanielPharos]: Implemented double buffering for the wireframe renderer, which results
          - in a very large performance improvement on modern operating systems.

* [DanielPharos]: Added Urban Terror 4 addon.

* [DanielPharos]: Improved fog/fade of the software renderer to match Glide more closely.

* [DanielPharos]: Also cache texture sizes during brushdef loading for a big speed improvement.

* [DanielPharos]: Vast improvements to the OpenGL lighting quality and performance.

* [DanielPharos]: Added support for loading and saving of new KMQuake2 surface color data.

* [DanielPharos]: Improved the software renderer to use 16-bit floating point depth buffering.

* [DanielPharos]: Added experimental Genesis3D .bsp file loading and saving support.

* [DanielPharos]: Quake 3 BSP file loader can now handle faces that have vertices that lay on
          - a single line.

* [DanielPharos]: Made the Open and Save dialogs resizable (only supported on Windows 98,
          - Windows 2000, and higher).

* [DanielPharos]: Prevent hotkeys from triggering functions when the corresponding menu item
          - is disabled.

* [DanielPharos]: Read and write support for the id-specific for solids and faces in .vmf files.

* [DanielPharos]: Updated all addons to use "trigger" texture for trigger entities by default.

* [DanielPharos]: Fixed solid color mode not working in Software and Glide renderers.

* [DanielPharos]: Provide a new setting for the software renderer to limit the maximum
          - resolution at which it renders. This used to be the case, but this code was broken
          - in the past, and contained underflow errors leading to renderer crashes.

* [DanielPharos]: Added HL1 Ricochet addon.

* [DanielPharos]: Many fixes to Python object handling to reduce reference counting errors.

* [DanielPharos]: Improvements to .rmf file loading: many more things are now loading properly,
          - including groups, entities with brushes, and the origin of entities.

* [DanielPharos]: Added .rmf file UV texture coordinate loading.

* [DanielPharos]: Fixed a bug causing access violations when trying to load textures from
          - Quake 1 or Hexen 2 when the corresponding .bsp file hadn't been loaded yet.

* [DanielPharos]: Added ambient lighting support to Direct3D renderer.

* [DanielPharos]: Added trilinear texture filtering to Glide renderer.

* [DanielPharos]: Set a more sensible minimum render distance. This should reduce Z-buffer
          - fighting in OpenGL and Direct3D.

* [DanielPharos]: Added workaround for OpenGL implementations that cause floating point
          - exceptions to be raised during rendering.

* [DanielPharos]: Rewrote the Intel precision assembly code to only change the precision,
          - not any other floating point flags, and removed it from the Software renderer.

* [DanielPharos]: Fixed a bug introduced with the recent OpenGL texture loading fix, producing
          - corrupt output in the viewport if the width is not a multiple of four.

* [DanielPharos]: Fixed a bug corrupting MOHAA patchDef2 and patchDef3 saving.

* [DanielPharos]: Fixed handling File Association paths with spaces.

* [DanielPharos]: Fixed OpenGL texture loading issues, most commonly with odd-sized textures.

* [DanielPharos]: Cache texture sizes during map loading and saving for a big speed improvement
          - with certain games.

* [DanielPharos]: Enabled support for Call of Duty 2. All basic operations are functional!

* [DanielPharos]: Added experimental support for loading CoD2 material files.

* [DanielPharos]: Completed support for surface flags in Call of Duty 1 .map files.

* [DanielPharos]: Added Call of Duty 1: United Offensive support.

* [DanielPharos]: Corrected the loading order of pak file: now official pak files are loaded first,
          - just like the games do.

* [DanielPharos]: Fixed a bug where QuArK lost track of game file folders if it failed to load
          - one of the files in it, causing missing textures and shaders, and a memory leak.

* [DanielPharos]: Fixed the bad PAK file output, which was broken in 6.6.0 Beta 2.

* [DanielPharos]: Fixed the errors and value corruption when trying to re-open the
          - "Background Image" window.

* [DanielPharos]: Changes to get VMT files working again under the new Steam file layout.

* [DanielPharos]: Fixed DLL hijacking vulnerability on Windows XP SP1 and later.

* [DanielPharos]: Added support for new Steam game file layout (using the 'common' directory).

* [DanielPharos]: Added brushDef2 and brushDef3 saving support.

* [DanielPharos]: Many fixes for .m32 texture saving. It will now produce something that at least
          - has a chance of working...

* [DanielPharos]: Generate proper error if something went wrong trying to save files, instead of
          - always displaying a message about "save" not being supported.

* [DanielPharos]: Workaround for another unexpected Windows Registry key or value problem in the
          - video hardware enumeration.

* [DanielPharos]: Fixed a long-standing bug that could cause a runtime error on startup when
          - enumerating the video hardware and display settings.

* [DanielPharos]: Added detection of corrupt AMD driver registry key.

* [DanielPharos]: Added the GDI workaround to OpenGL. This fixes the drawing of GDI on OpenGL views
          - on more modern Windows machines.

* [DanielPharos]: Brought back the fullscreen view window! Also, added a toolbar that allows you to
          - select the renderer to use for new windows. (Work in progress.) Added an experimental
          - fancy fullscreen mode, with a tight-ish message pump.

* [DanielPharos]: Added mousewheel scrolling support in the 2D views.

* [DanielPharos]: Fixed texture positioning tool causing the treeview panel to partially disappear.

* [DanielPharos]: Unwrap texture coordinates on .map export. This allows .bsp compilers to
          - merge texinfo structures, to avoid hitting the "too many surfaces" limit too soon.

* [DanielPharos]: Added binary StL importing.

* [DanielPharos]: Added experimental StL model importing (ASCII format only).

* [DanielPharos]: Added mouse scroll wheel support in various places.

* [DanielPharos]: Fixed long-standing bug with character output (backslashes) in the console. Note:
          - this changes the font used.

* [DanielPharos]: Fixed the VIDEO enumeration for system details info.

* [DanielPharos]: Fixed the Reset-button in the Configuration to do what people expected it to do.

* [DanielPharos]: Fixed several leaks on error code paths, and a wrong Win32 API call
          - when starting external processes.

* [DanielPharos]: Added FastMove and FastCode for better performance.

* [DanielPharos]: Stop access violation and other weird errors if Glide library wasn't
          - initialized properly.

* [DanielPharos]: Fix for texture scales when importing brushDef2 and brushDef3.

* [DanielPharos]: Fix console error for texture-flags RMB menu if game paths are not configured.

* [DanielPharos]: Stop a failed initialization of a viewport causing access violations.

* [DanielPharos]: Fix for the long-standing bug where float-specifics were not working
          - in Wine, and on non-Latin-alphabet Windows (for example, Chinese Windows).

* [cdunde]: Fixed possible dupe component names from sneaking through.

* [DanielPharos]: Fixes for brushDef2 and brushDef3 texture loading.

6.6.0 Beta 6
============
* [cdunde/DanielPharos]: Started HL2 Exporter support but not completed yet.
          - Open the plugins/ie_md0_HL2_export.py file with any text editor for details at top of file.

* [cdunde/DanielPharos]: Removed game support for Xonotic due to improper texture paths.

* [cdunde]: Added full game support for Xonotic including .md3 model displaying.

* [DanielPharos]: Fully fixed HL1 BSP MipTex saving.

* [DanielPharos]: Try to save everything in a texturelist. Helps HL1 BSP MipTex saving.

* [cdunde]: Added Quake 1 and Hexen II Specific items for Model Root in the Model Editor.

* [DanielPharos]: Fixed SOF1 tools: they don't work with the proper slashes.

* [DanielPharos]: Moved some map options around to make them more findable, and to make them work again.

6.6.0 Beta 5
============
* [DanielPharos]: Added DOOM .wad file reading support, per user request. Note: Saving will output a Quake wad!

* [DanielPharos]: Made the .map importer more resilient against bad brushes.

* [cdunde]: Added Entities and Textures add-ons for Quake 3 Smoking Guns stand alone game.

* [cdunde]: Added mission pak support for Quake2 Knightmare.

* [cdunde]: Added mission pak support for Quake2 Zaero.

* [cdunde]: Fixed rotation values for YZ view not working in Model Editor.

* [cdunde/DanielPharos]: Updated Model Editor texture paint functions to do gray-scale and blue-scale
          - for texture mapping and greatly improved airbrush function quality for fade in effect.

* [cdunde]: Setting up system for bone.dictspec['type'] to store what kind of IMPORTER or
          - default QuArK new bones ('type' = qrk) a bone is.
          - Each importer sets its own 'type' as it creates its bones and these do not change.
          - The type is used by EXPORTERS as an indicator as to how they need to be processed
          - for EXPORTING them to another model format.

          - Trying to keep this system simple and centralized, a universal function can be
          - setup and called from the quarkpy/mdlutils.py file by any exporter as needed,
          - passing two arguments, the exporters name and the bone type, as it loops through them.
          - The code that exporter needs to convert that bone type for proper exporting
          - would be identified, by the two arguments, used and return the needed values.

          - The quarkpy/mdlutils.py universal function could then be updated
          - as new importers and exporters are created with their own conversion code.
          - Then all other exporters, new or existing, would call that function when
          - a SINGLE bone was NOT one of its own ['type'].

          - This keeps all that code centralized in ONE PLACE.

* [cdunde/DanielPharos]: Added export support for Half-Life 1 static and animation models with bones .mdl file types.
          - Still needs work, see TODO NOTES at top of file.

* [cdunde/DanielPharos]: Added export support for MoHAA static and animation models .skd and .skc file types.

* [cdunde]: Added export support for Kingpin static and animation models .mdx file type.
          - Updated importer for better skin texture file locating and loading.

* [cdunde/DanielPharos]: Added export support for Heretic II static and animation models .fm file type.

* [DanielPharos]: Added a new OpenGL lighting quality setting.

* [cdunde]: Fixed problem with icon buttons sometimes disappearing next to compass.

* [DanielPharos]: Fixed RGB float color values not being clamped.

* [DanielPharos]: Fixed long-standing pointer corruption bug when loading poly faces. This was triggering errors when using
          - FastMM. Now the map editor opens up properly with FastMM!

* [cdunde]: Model editor, Setup component bbox vertex assignment support.

* [cdunde/DanielPharos]: Model editor, Added bone and bounding boxes support to Keyframe Linear Interpolation function.

* [cdunde]: Add support for BBoxes and updated the Kingpin importer to process its BBoxes.

* [cdunde]: Revamped Bounding Box system for more flexibility with model formats that do not have bones, only single or multi components.

6.6.0 Beta 4
============
* [cdunde/DanielPharos]: Started support for Kingpin MDX model format with animation and skin support.

* [cdunde/DanielPharos]: Added Half-Life 2 importer animation support with bone, attachment and bbox movement.

* [cdunde/DanielPharos]: Updated Model Editor Camera Position system with Hotkeys to take quick shots of both Editor and Floating 3D views,
          - kept in separate folders for both Standard modes and True3D modes with Hotkeys to scroll through those shots.

* [cdunde]: Added cameraview saving duplicators and search systems, like in the Map Editor, to the Model Editor.
          - Also added a Hotkey F5 function for making those duplicators by simply pressing that key.

* [cdunde/DanielPharos]: Updating fixed for the Model Editor of the Texture Browser's Used Textures folder.

* [cdunde]: Updating of Used Textures in the Model Editor Texture Browser for all imported skin textures
          - and allow bones and Skeleton folder to be placed in Userdata panel for reuse with other models.

* [cdunde/DanielPharos]: Added new face cutting tool, for selected faces, like in the map editor with option to allow vertex separation.

* [cdunde/DanielPharos]: Added import support for Heretic II and .m8 as supported texture file type.

* [cdunde]: Added InfoBase section and direct links for Model Editor exporters to assist people in their use.

* [cdunde/DanielPharos]: Setup importer for Half-Life 2 mesh (animation to follow) with bone, attachment, bbox and skin support.

* [cdunde/DanielPharos]: Added bounding boxes (hit boxes) and bone controls support used by Half-Life, maybe others.

* [cdunde/DanielPharos]: Fixed the loss of selections and expanded items in the Model Editor from UNDO and REDO actions.

* [DanielPharos]: Added experimental RMF file loading support; poly's only, no UV's or textures.

* [DanielPharos]: Added NCF file loading support (for example: Alien Swarm).

* [DanielPharos]: Added VPK file loading support (for example: Left 4 Dead).

* [DanielPharos]: Model editor, Fix bone-position with Undo/Redo dialog box and made some fixes to selection-holding code.

* [cdunde/DanielPharos]: Added support for player models attachment tags.

* [DanielPharos]: New slide bar dialog form type control added.

* [cdunde]: Model editor, Major change of Skin-view Linear Handle selection and dragging system, massively improving drawing time.

* [cdunde]: Model editor, Added entity extraction from game map .bsp files for .qrk file creation of Conversion Tool system.

* [cdunde/DanielPharos]: Setup importer for MoHAA .skd and .skc models (static and animated) with bone and skin support.

* [cdunde/DanielPharos]: Setup full game support for American McGee's - Alice in the map editor along with version conversion tool.

* [cdunde/DanielPharos]: Setup exporter for Alice, EF2 and FAKK2 .skb mesh and .ska animated models with bone and skin support.

* [cdunde/DanielPharos]: Setup exporter for Alice, EF2 and FAKK2 .tan models
          - (static and animated), tags not supported at this time.

* [cdunde/DanielPharos]: Setup importers for Alice, EF2 and FAKK2 .skb, .ska and
          - .tan models (static and animated) with bone and skin support.

* [cdunde]: Model editor, Setup 'Auto Scaling' function for the Skin-view that resets the skin handles and Component's UV's
          - to fit the currently selected and viewable skin texture of that Component.

* [DanielPharos/cdunde]: Setup Model Editor to allow importing of model from main explorer File menu.

* [DanielPharos/cdunde]: Massive improvement in material texture handling and animations.

* [DanielPharos/cdunde]: Added imbedded skin importing for .gr2 models.

* [cdunde]: Model editor, Added Eye camera handle when in True 3D mode for easier navigation.

* [cdunde]: Setup the QuArK Model Editor to allow obtaining textures dynamically in the Texture Browser.

* [cdunde]: Model editor, Setup support to import model skin textures using addon .qrk file links.

* [cdunde]: Model editor, Added new function to rescale Skin-view handles to current skin texture size.

* [cdunde]: Model editor, updated files to help increase editor speed by including necessary ModelComponentList items
          - and removing redundant checks and calls to the list.

* [cdunde/DanielPharos]: Model editor, started support for HalfLife 1 .mdl model importing.

* [DanielPharos]: Model Editor bone movement and .md5anim exporter code fixed.

* [cdunde/DanielPharos]: New exporter for Quake .mdl models.

* [cdunde/DanielPharos]: Added support for Quake1 .mdl importing including textures and animations.

* [cdunde]: Added support for .md3 model format exporting with tags, textures and shader files.

* [cdunde/DanielPharos]: Updates and improvements to both the md5 importer and exporter including animation support.

* [DanielPharos]: Fixed an ancient bug: String specifics would not be properly overwritten by float specifics!

* [DanielPharos]: Fixed orangebox compiler not working.

* [DanielPharos]: Adjusted for newest Steam release (QuArKSAS 1.02). Also, fixed various Steam-related issues.

* [DanielPharos]: Massive update to GCF file loading. This should fix most "cannot find GCF file" type problems.

* [cdunde]: Update to merge bones data for .gr2 attachments models.

* [cdunde]: Update of grnreader.exe to eliminate multiple outputs of group mesh vertices to .ms file and .gr2
          - importer to eliminate multiple output.ms file listings of bones and proper vertex weight assigning.

* [cdunde/DanielPharos]: Updates for .gr2 bones to use our same code and load their bones correctly.

* [cdunde]: Added option to only draw drag bones to speed up drag drawing if a lot of bones exist.

* [cdunde]: Fixes for individual bone selection and handle color change.

* [cdunde/DanielPharos]: To add bone vertex and weight assignment and improve output.ms file data.

* [cdunde]: DanielPharos's great fix for bones corner handle drag code.

6.6.0 Beta 3
============
* [cdunde]: Added keyframe fill-in frames creation support for single and multiple component selections.

* [cdunde]: Added complete section in the InfoBase Docs for the Model Editor about tags with F1 links.

* [cdunde/DanielPharos]: Added support for .md3 animationCFG (configuration) support and editting.

* [cdunde/DanielPharos]: Added support for animation interpolation in the Model Editor.
          - (computation of added movement to emulate game action)

* [cdunde]: Setup function to attach tags for imported .md3 models, such as weapons.

* [cdunde]: Setup of tag menus and icons.

* [cdunde/DanielPharos]: Added Python .md3 import support with tags, animation, shader and skin files.

* [cdunde]: Added support for multiple bone sets for imported models and their animations.

* [cdunde/DanielPharos]: Added .md5mesh and .md5anim model exporter
          - including bones, skins and shaders.

* [cdunde/DanielPharos]: Support started for granny .gr2 model importing with bones using
          - QuArK's build and version of grnreader.exe.
          - Source code for exe in QuArK's src source\dllsource\QuArKgrnreader folder.

* [DanielPharos]: Added TextureWriteFormatA: some games want textures with Alpha in a
          - different format (for instance, Quake 3).

* [cdunde]: Completely updated the InfoBase Docs for the new Bones, Vertex Color and Weights.

* [cdunde/DanielPharos]: ASE model exporter can now export .cm collision model files.

* [cdunde/DanielPharos]: Completely revamped Model Editor vertex Linear draglines system,
          - increasing its reaction and drawing time to twenty times faster.

* [cdunde/DanielPharos]: Started ASE model exporter .cm collision model file creation support.

* [cdunde/DanielPharos]: Added ASE model exporter and completely revamped the ASE importer
          - to make all setting editable and to export for game, UnrealEd and 3DSMax usage.

* [DanielPharos]: Disabled changing the classname specific: it blew up the Model Editor.

* [cdunde/DanielPharos]: Updated to better display the Model Editor's Skeleton group and
          - individual bones and their sub-bones when they are hidden.

* [cdunde/DanielPharos]: Model Editor - massive improvements in many areas including bones,
          - functions, specific setting capabilities and importers including single and
          - multiple md5anim file loading, manipulation and successive animation viewing.

* [DanielPharos]: Added a horizontal scrollbar in the treeview.

* [cdunde]: Model Editor - Setup QuArK Specific page modules for easy use with importers.

* [cdunde/DanielPharos]: Model Editor - Added bone handle scaling functions and selection option.

* [cdunde/DanielPharos]: Added full Vertex Weights support with its own dialog display
          - with either manual or auto updating and saving for each model component.

* [cdunde/DanielPharos]: Added full Vertex U,V Coloring support to the bones Specifics page.

* [cdunde/DanielPharos]: Completely rebuilt the Model Editor's bones system to coincide more
          - more with games and other model editor systems.

* [DanielPharos]: Fix a major slowdown in the progressbar drawing routine.

* [DanielPharos]: Fixed the treeview color boxes for components not showing up the first time.

* [cdunde/DanielPharos]: Added vertex color support.

* [DanielPharos]: Fix some problems with the FAKK2 and EF2 compilers producing bad BSP filenames.

* [cdunde/DanielPharos]: Added asi model format importing plugin.

* [DanielPharos]: Updated to DevIL 1.7.8, added IWI loading, and added many new image
          - loading/saving options.

* [DanielPharos]: You can now "uninstall" gamemodes: just delete the addons-directory of that game.

* [DanielPharos]: Read in two additional MOHAA surface flags. MOHAA .map file loading is still not
          - working properly though.

* [DanielPharos]: Grayed out beziers can now not be selected in views anymore.

* [DanielPharos]: Removed Quake 3's Call of Duty addon. People should switch to CoD gamemode.

* [DanielPharos]: Add colorboxes in treeview for Model Editor bones to display start_color and end_color.

6.6.0 Beta 2
============

* [cdunde/DanielPharos]: Full support for .md5mesh multiple meshes, component (mesh) skins
          - and their shader display including editing abilities for both shaders and skins.

* [cdunde]: Revamp of bones Linear handle creation to increase drawing speed and easer color recognition.

* [cdunde/DanielPharos]: Full support for .md5mesh bone importing with weight assignment and various
          - methods of bone rotation for QuArK Default, single set and multi sets of bones.
          - Various menu functions for bone handle scaling and reset for selected bones and all bones.

* [DanielPharos]: Model Editor - Now bones can be moved around in the treeview even though other items
          - are also selected.

* [DanielPharos]: Fixed AutoSave-setting not being applied.

* [cdunde]: Model Editor - Fixed model importers to display proper skin once a model is imported.

* [cdunde]: Model Editor - Fixed face mode not drawing selection outlines while rotating.

* [cdunde/DanielPharos]: Added setup file for Doom3 Quake4 .md5mesh (and .md5anim but not yet) model importing.

* [cdunde]: Setup new Component Colors and draw Textured View Tint Colors system.

* [cdunde/DanielPharos]: DEV. NOTE: Bones system moved to outside of components for Model Editor completed.
          - all files for source code, runtime and InfoBase updated Nov. 18, 2008.

* [cdunde/DanielPharos]: DEV. NOTE: Bones system inside components for Model Editor and InfoBase update completed :
          - for source code files Oct. 11, 2008, runtime files Nov. 3, 2008, InfoBase files Oct. 23, 2008.

* [cdunde]: A new addon file for Quake Rally, created by X7.

* [DanielPharos]: Added partial support for loading Call of Duty 2 maps.

* [cdunde]: Did a whole write up on "Bones" and updated "How to Write Model Importers & Exporters"
          - to add them for QuArK in the "Model-editor in QuArK" section of the InfoBase Docs.

* [DanielPharos]: Massive update to get Steam finally working better. Now just
          - changing one setting will allow you to switch to ANY different Steam/HL2
          - game!

* [DanielPharos]: Major improvements to HWnd and HDC handling. This should fix all
          - kinds of OpenGL problems.

* [DanielPharos]: Changes to Help system: All forms now have a customizable help-link.
          - Also, added a fallback to the online infobase docs option.

* [DanielPharos]: Fixes to exception handling. Now exceptions are logged, and if
          - anything goes wrong with QuArK's exception handling, this doesn't produce
          - a whole stream of weird generic pop-ups with runtime errors.

* [DanielPharos]: Fixed saving of paletted images padding bug, loading (and saving)
          - images from non-compressed pack files, PCX file saving is now working in
          - DevIL, fixed DDS saving of paletted images, added a bunch of DevIL settings,
          - and re-enabled DevIL DDS file saving.

* [DanielPharos]: Added a file version option to VTF file saving, and fixed a memory leak
          - and a bug causing non-alpha images to contain alpha after importing them.
          - Also fixed saving of paletted images as VTF files.

* [cdunde/DanielPharos]: Setup and initiated a whole new system to support model bones.

* [cdunde]: Did a whole write up on "How to Write Model Importers & Exporters"
          - for QuArK in the "Model-editor in QuArK" section of the InfoBase Docs.

* [DanielPharos]: Updated component error checking and added frame matching and\or
          - duplicating with independent names to avoid errors with other functions.

* [cdunde]: Fixed component's first frame not being set sometimes when the component's main
          - folder is selected.

* [DanielPharos]: Added a single-instance check to check that only one QuArK is running at
          - once.

* [cdunde]: Added ability to clear all selections by a single LMB click in any open area of
          - a Model Editor's view.

* [cdunde]: Fixed menu items that were not interacting with their config settings in the
          - Defaults.qrk file.

* [cdunde]: Updated addon, also new game pak on QuArK site. Don't know who did them for
          - NEXUIZ.

* [cdunde/DanielPharos]: New function added to the Model Editor tree-view RMB to save a skin
          - when one is selected.

* [cdunde]: Added 3D view modes to Options menu to allow viewing through objects for scenes.

* [cdunde/DanielPharos]: Added new .md2 exporter with progress bar and logging capabilities.

* [cdunde/DanielPharos]: Added new function "Match Frame Count" to the Commands & RMB menus
          - which duplicates the number of frames in selected components.

* [cdunde]: Added option for error checking of selected components before exporting.

* [cdunde/DanielPharos]: Setup of Specifics\Arg page for model types data and settings.

* [Danielpharos/cdunde]: Fix the model groups icons not working, and now the model component
          - icon changes to an X when you hide the component.

* [cdunde]: Added new entity line drawing features by X7.

* [cdunde]: Updates, additions and a new mod addon by X7 for Quake 2.

* [cdunde/DanielPharos]: Added .lwo lightwave model export support and improved the importer.

* [cdunde/DanielPharos]: To add lwo model importer, uv's still not correct though.
          - Also added model import\export logging options for file types.

* [cdunde]: Setup new QuArK Model Editor Python model import export system.

* [cdunde]: Added full Linear Handles drag line drawing for all views in the Model Editor.

* [DanielPharos]: Fix errors when clicking menu items not being shown/reported.

* [cdunde]: Fixes and additions by X7 for rotation entities that use an origin brush.

* [cdunde]: Added new functions and handles for Half-Life 2 and other games
          - with the use of original code by Alexander, previous team member.
          - 1) New handle and line drawing for spotlight inter and outer cones.
          - 2) HL2 only, added handels for setting func_useableladder function (point0 & point1).
          - 3) HL2 only, added handels for setting func_breakable_glass and func_breakable_surf,
          -       (lowerleft, upperleft, lowerright and upperright).

* [cdunde]: Complete update of the WarsowEntities by X7, good job and thanks.

* [cdunde]: Fixed "Color Selector Dialog" to update correctly when needed.

* [cdunde]: Fixed the loss of the model editor causing the Skin-view to not work properly.

6.6.0 Beta 1
============

* [cdunde]: Some nice fixes by 'Who Gives A Dam' to the 'Worldcraft .fgd file' converter, thks.

* [cdunde]: Setup for Warsow with .md3 model support, entities, textures and shaders.

* [cdunde]: Made changes to sort material lists, cleanup dead ones and improved missing ones.

* [cdunde]: Added full game support for NEXUIZ including .md3 model displaying.

* [cdunde]: Added a new Conversion Tools for making game support QuArK .qrk files.

* [DanielPharos]: Build old PCX file loading code back in. DevIL and FreeImage were causing
          - random trouble.

* [cdunde]: Cleaned up, fixed if needed and brought into sync with all QuArK addons.

* [cdunde]: Did a lot of standardize file work and cleanup of texture and entity coding.

* [cdunde]: Added full game support for PREY. Including easy selectors for models, sound,
          - color settings and much more along with close to 8MB of entities.

* [cdunde]: Created and added new build tools in the cvs games folder to add Entity Specifics
          - for better and easer QuArK game support .qrk file creation.

* [cdunde]: Fixed FAKK2 and EF 2 worldspawn game music to play and added music list for each.

* [cdunde]: Added FAKK2 shader, weapon and model entity support.

* [cdunde]: Added EF2 shader, weapon and model entity support.

* [DanielPharos]: DanielPharos fix to stop bezier-view from causing errors.

* [DanielPharos/cdunde]: Added various new functions for QuArK development, see QuarkX doc section.

* [cdunde/DanielPharos]: Started game support for Heavy Metal - FAKK2.

* [cdunde/DanielPharos]: Added game support for Team Fortress 2. Entities by Japa, textures by Nax.

* [cdunde/DanielPharos]: Setup new Paint modes toolbar and complete painting functions to allow
          - the painting of skin textures in any Model Editor textured and Skin-view.

* [DanielPharos]: Big changes to OpenGL: should fix the OpenGL hangups.

* [DanielPharos]: The skinview now properly updates to reflect changes made to textures.

* [cdunde]: Made toolbars interactive with one another to
          - turn off buttons when needed, avoiding errors and crashes.

* [cdunde]: To stop doautozoom in Skin-view, causing unexpected view jumps.

* [DanielPharos]: Added FTX file loading and saving support (Heavy Metal: F.A.K.K. 2 textures).

* [cdunde]: Setup function to reset Skin-view.

* [cdunde]: Changed Quake 2 "TextureFormat" to save .md2 model skin textures as .pcx proper format.

* [cdunde]: Added "newframe" to New files... toolbox for "Model" type for a new model to be made from.

* [cdunde]: Added Used Skin Textures for displaying in the Texture Browser.

* [DanielPharos]: Partially build in and enabled the online update system. Still needs a lot of work, but it's
          - downloading an index file and parsing it.

* [cdunde/DanielPharos]: Setup displaying of 'Used Textures' in current map being edited in the Texture Browser.

* [cdunde]: Setup of a full beizer library with over 30 prefab beizers to work with for games that can use beziers.

* [cdunde]: Fixed a bug with the opening the Texture Browser window icon button.

* [cdunde]: Added Special entity cv.canvas() line drawing for Shine engine, may also be useful for other games.

6.5.0 Beta 4
============

* [cdunde/DanielPharos]: Added new Templates functions and Templates. This is a very powerful new element
          - with a whole array of capabilities. See the entire section in the Infobase Docs on Templates,
          - which is also linked to new functions in the editor. Developed by our friends in Russia,
          - the Shine team, Nazar and vodkins. Adapted to all QuArK supported games by cdunde and DanielPharos.

* [DanielPharos]: Made a rudimentary, but functional MD3 file saving code. You can now save MD3 models!

* [DanielPharos]: Made an option to set the amount of lines of text in the console.

* [DanielPharos]: Fixed the duplicators to export correctly again and the map portals not drawing anymore.

* [cdunde]: Added many new beizer shapes and functions developed by our friends in Russia,
          - the Shine team, Nazar and vodkins.

* [DanielPharos]: Updated the miter edge function with some error messages, fixed a division
          - by 0 in it, and made the option disable correctly. Also, added some InfoBase
          - documentation about it.

* [cdunde/DanielPharos]: Added two new function methods to Subdivide selected faces
          - into 3 and 4 new triangles each.

* [cdunde]: Setup linear center handle selected vertexes edge extrusion function.

* [DanielPharos/cdunde]: Changed to keep Texture Position dialog open and update dynamically.

* [cdunde]: Separated editors background image dialogs and setup to save all of their settings.

* [DanielPharos]: Another bunch of hugh image fixes: everything should work again! The DevIL
          - implementation currently doesn't support loading palette files, and saving them
          - isn't supported by either. But the rest works perfectly! Also, TGA files now also
          - use DevIL and FreeImage.

* [DanielPharos]: BMP and PCX files are now also using DevIL and FreeImage to load and save.

* [cdunde/DanielPharos]: Added new function "Merge Vertexes" to the "Vertex Commands" menu.
          - Setup to allow merging of a base vertex and other multiple selected vertexes.

* [DanielPharos]: Any supported picture can now be used for a view's background. Also added two options,
          - which allow you to manipulate the way the picture appears a bit more.

* [cdunde]: Added "Make hollow" option to dialog & end faces for Pyramid and Cylinder Quick Object Makers
          - to allow extrusion and vertex manipulation to create shapes such as arms and leg parts.

* [cdunde/DanielPharos]: Fixed Linear Handle for selected faces and frames to draw face vertexes locations
          - properly for animation movement.

* [cdunde/DanielPharos]: Started a new toolbar for the Model Editor to support "Editing Tools" along with
          - four new functions: Extrude Selected Faces, Extrude with Bulkheads, Reverse face direction and
          - Subdivide faces.

* [cdunde]: Setup multiple selection drag lines for all editor views and the Skin-view with options.

* [cdunde]: Added new Infobase Model Editor sections for Quick Object Makers, 2D Rulers, Snap Shot and
          - Animation system along with editor F1 Help links to all and other updates that were needed.

* [cdunde]: Added option for Skin-view multiple drag lines drawing.

* [cdunde]: To setup drag line drawing for multiple selected vertex drags in the Skin-view.

* [cdunde]: To fix Skin-view Linear handle not drawing in correct position sometimes.

* [cdunde]: Activated all Movement Tool Palette buttons and functions for the Model Editor, which
          - handle preset values for Movement, Enlarge, Shrink, Shift, X, Y, and Z Symmetry and Rotation.

* [cdunde]: Added a "Snap Shot" function and button to the Skin-view to allow the re-skinning
          - of selected faces in the editor based on their position in the editor's 3D view.

* [cdunde/DanielPharos]: Setup the Model Editor Animation system, functions and toolbar.
          - Consist of numerous selection variations for animating, FPS control, pausing
          - during animation at any frame and restart list or frame play selection
          - as well as skin reselection for displaying during animation.

* [DanielPharos]: Fix the frame-dragging in the Model Editor so they can be rearranged in each component.

* [cdunde]: Creation and setup of new '2D Rulers' function and sub-menu to Model Editor Options menu.

* [cdunde]: Creation and setup of the Quick Object Makers for the Model Editor.

* [cdunde/DanielPharos]: Setup Skin-view with its own grid button and scale, from the Model Editor's,
          - and color setting for the grid dots to be drawn in it.
          - Also Skin-view RMB menu additions of "Grid visible" and Grid active".

* [cdunde]: Fixed both editors from not drawing gridscale and ruler when grid is inactive.

* [cdunde]: Added LMB click on a Model Component function that selects
          - that component's main folder in the tree-view of the Model Editor.

* [DanielPharos]: The name of a pakfile containing a texture can now be specified per texture. This
          - will allow you to mix HL2 and CSS texture in a single map!

* [cdunde]: Added a new function, to the Faces RMB menu, for a "Empty Component" to start fresh from.

* [DanielPharos]: Added option to stop texturename checks. Be careful: this will allow you to use
          - illegal textures without any warning!

* [cdunde]: To move Make New Component menu function from Commands menu to RMB Face Commands menu and
          - also add to it new functions to:
          - move selected faces from one component to another,
          - copy selected faces from one component to another and
          - delete selected faces from the currently selected component.

* [DanielPharos]: Build-in an Allowed Parent check. Items shouldn't be able to be dropped somewhere
          - where they don't belong.

* [cdunde]: Created a new function on the Commands menu and RMB editor & tree-view menus to create a new
          - model component from selected Model Mesh faces and remove them from their current component.
          - Fixed error of "Pass face selection to Skin-view" if a face selection is made in the editor
          - before the Skin-view is opened at least once in that session.
          - Fixed redrawing of handles in areas that hints show once they are gone.

* [cdunde]: Changed "Pass Face Selection to Skin-view" to real time updating and
          - added function to Sync Face Selection in the Editor to the Skin-view.

* [DanielPharos]: OpenGL renderer shouldn't cause weird line-erasing when a tooltip disappears anymore.

* [cdunde]: Setup Model Editor views vertex "Pick and Move" functions with two different movement methods.

* [cdunde]: Added editor views rectangle selection for model mesh faces when in that Linear handle mode.
          - Changed selected face outline drawing method to greatly increase drawing speed.

6.5.0 Beta 3.0
==============

* [cdunde]: Fixed the Model Editor Linear Handle to work properly in
          - conjunction with the Views Options dialog settings.

* [cdunde]: Fixed Model Editor fillcolor to display correctly in 3D view after vertex drag.

* [cdunde]: Added Model Editor Skin-view 'Ticks' drawing methods, during drags, to its Options menu.

* [cdunde/DanielPharos]: Added Linear Handle to the Model Editor's Skin-view page and
          - setup color selection and drag options for it and other fixes with DanielPharos.

* [DanielPharos]: HUGE update to HL2: Loading files from Steam should work again, now using the new QuArKSAS utility!

* [DanielPharos]: Now games from the same series can be grouped together in the Games-menu!

* [cdunde]: To setup red rectangle selection support in the Model Editor for the 3D views using MMB+RMB
          - for vertex selection in those views.
          - Also setup Linear Handle functions for multiple vertex selection movement using same.

* [DanielPharos]: Added a simple update-notifier: it just checks the age of the QuArK release.
          - Added /NOSPLASH and /NOUPDATE to the commandline.

* [cdunde]: Changed to only allow model component frames to cause handles to be drawn, as should be the case.

* [cdunde]: To allow individual model mesh vertex movement for multiple frames of the same model component
          - to work in conjunction with the new Linear Handle functions capable of doing the same.

* [cdunde]: Model Editor, stop error if object is moved back to where it started from at beginning of a linear drag.
          - Also added a 'rotationspeed' control to the 'UserRotationMatrix' function.
          - To allow all Linear drag handle hints to show in the 'Help' box when dragging.

* [cdunde]: Setup variable setting for Model Editor 'Linear Handle (size) Setting'
          - and 'Rotation Speed' using the 'cfg' button on the movement toolbar.

* [cdunde]: Added ModelEditorLinHandlesManager class and its related classes to the mdlhandles.py file
          - to use for editing movement of model faces, vertexes and bones (in the future).

* [DanielPharos]: Fixed the infobase-help not opening on several browsers.

* [DanielPharos/cdunde]: Fixed the 'cut out corner' function broken in Beta 1.

* [cdunde/DanielPharos]: To setup selected model mesh faces so they will draw correctly in all views.

* [cdunde]: Setup new options to synchronize the Model Editors view and Skin-view vertex selections.
          - Can run either way with single pick selection or rectangle drag selection in all views.

* [cdunde]: Setup Red Rectangle Selector in the Model Editor Skin-view for multiple selections.

* [cdunde]: Setup to clear all Editor and Skin-view selection lists when something outside the
          - currentcomponent is selected to start clean and avoid crossing of list items.

* [cdunde]: Setup RMB menu sub-menu "skin-view Options" and added its "Pass selection to Editor views" function.
          - Also added Skin-view Options to editors main Options menu.

* [cdunde]: Setup editors Rectangle selection to properly create a new triangle if only 3 vertexes are selected
          - and a new function to reverse the direction of a triangles creation.

* [DanielPharos]: In Half Life 2 mode, QuArK will now save a .vmf file instead of a Quake .map.

* [cdunde]: Model Editor, Setup red rectangle selection support in the Model Editor for face and vertex selection methods
          - and completed vertex selection for all the editors 2D views.

* [cdunde]: Model Editor, Added a model axis indicator with direction letters for X, Y and Z with color selection ability.
          - Added model mesh face selection using RMB and LMB together along with various options for selected
          - face outlining, color selections and face color filltris but this will not fill the triangles
          - correctly until needed corrections are made to either the QkComponent.pas or the PyMath.pas
          - file (for the TCoordinates.Polyline95f procedure).
          - Also setup passing selected faces from the editors views to the Skin-view on Options menu.

* [DanielPharos]: Added FreeImage as an alternative for DevIL. PNG and JPEG file handling now also uses these
          - two libraries. Set-up a new section in the Configuration for all of this.

* [cdunde]: Model Editor, Added section to handle drawing all the lines of a models mesh to the source code.

* [cdunde]: Model Editor, free up L & RMB combo dragging for Model Editor Face selection use
          - and start model face selection and drawing functions.

* [DanielPharos]: Finalized .dds image format support. Saving is now possible and reliable.

* [cdunde]: Model Editor, Added new functions to 'Views Options' to set the model's mesh lines color
          - and draw in frame selection.

* [cdunde]: Substantially increased the drawing speed of the Model Editor Skin-view mesh lines and handles.

* [cdunde]: Model Editor, New methods to stop over draw of handles causing massive program slow down.

* [cdunde]: Model Editor, Changed picked vertex functions to much faster drawing method.

* [cdunde]: Fixed individual view modelfill color to display correctly during a model mesh vertex drag.

* [cdunde]: Fixed error message when in the Skin-view after a new triangle is added.

* [cdunde]: Fixed model mesh drag guide lines not always displaying during a drag.
          - Fixed gridscale to display in all 2D view(s) during pan (scroll) or drag.

* [cdunde]: Added the 2D views gridscale function to the Model Editor's Options menu.

* [cdunde]: Model Editor, increased drawing speed of Skin-view during drag and fix picked vertexes for
          - snapping to base location if dragged in the Skin-view before the action is completed.

* [DanielPharos/cdunde]: Added game support for EF2 (Elite Force 2), .md3 model and .dds image format support.

* [cdunde]: Model Editor, added new functions for aligning, single and multi selections, Skin-view vertexes.
          - Also added a new and complete section to the Infobase on its use with editor menu links.

* [cdunde]: Model Editor, revamp of entire new vertex and triangle creation, picking and removal system
          - as well as its code relocation to proper file and elimination of unnecessary code.

* [DanielPharos/cdunde]: Setup selection retention system in Model Editor so selected items would not
          - be dropped unexpectedly and something else selected when other functions were used.

* [cdunde]: Fixed Duplicate current frame function to stop Model Editor views from crashing
          - and updated its popup help and Infobase link description data.

* [cdunde]: Added Vertex Commands to add, remove or pick a vertex to the open area RMB menu for creating triangles.
          - Also added new function to clear the 'Pick List' of vertexes already selected and built in safety limit.
          - Added Commands menu to the open area RMB menu for faster and easer selection.
          
* [cdunde]: Stopped Add Triangle and Delete Triangle from causing errors and added menu links to the Infobase.

* [cdunde]: Changed face and vertex dragging hint for both the Map Editor and Model Editor
          - to give start and progressive drag positions based on grid location.

* [cdunde]: Added new selector button icons image set for the Skin-view, selection for mesh or vertex drag
          - and advanced Skin-view vertex handle positioning and coordinates output data to hint box.
          - Also activated the 'Hints for handles' function for the Skin-view.

* [cdunde]: Setup mesh movement using common drag handles in the Skin-view for skinning model textures.

* [cdunde]: Fixed vertex position display in Model Editor's hint box while dragging.

6.5.0 Beta 2.0
==============

* [cdunde]: Completed the initial setup of the Model Editors Multi-fillmesh and color selection function.

* [DanielPharos]: Fixed the rotation in linear mode.

* [DanielPharos]: Fixed the Screen Center behaviour when creating new objects.

* [cdunde]: Changed Model Editor's FillMesh function to individual view settings on Views Options Dialog
          - allowing each view to have its own fill option and color selection.

* [cdunde]: Fixed Model Editor view axis icons not always redrawing after zoom in 2D views.

* [cdunde]: Added a 'Quick Color Options' button to the Model Editors modes tool bar for color selection settings.

* [DanielPharos]: Changed the way renderers track the drawing DC handle. Should fix a lot of OpenGL context
          - errors. A small timing issue with this fix was noticed however. Put it is working: simply try
          - again, and it should pop right up.

* [DanielPharos]: Fixed a whole load of memory leak. QuArK now starts up and closes without leaking memory!
          - Every starting a new map and OpenGL doesn't cause any leaks!

* [DanielPharos]: Fixed all the colors and lighting effects in Solid view mode. OpenGL lighting should be
          - set up correctly now.

* [DanielPharos]: Changed the way the renderers work with camera-positions. Should be a lot faster.

* [DanielPharos]: Implemented proper OpenGL display lists.

* [cdunde]: Removed Model Editors 3D Options dialog Icon X button close button to stop problems caused when used.

* [cdunde]: Proper selection and display of skin textures for all model configurations,
          - single or multi component, skin or no skin, single or multi skins or any combination.

* [cdunde]: To stop crossing of skins from model to model when a new model, even with the same name,
          - is opened in the Model Editor without closing QuArK completely.

* [cdunde]: To add skin texture size to the Skin-view page top section.

* [cdunde]: Half-Life2 - light, light_spot and light_environment specifics and arguments added
          - to support HDR and many additions to the UserData Half-Life2.qrk file by Riggsy.

* [cdunde]: MOHAA - by OmnificienT - Added specifics for func_door, func_rotatingdoor, func_barrel,
          - func_exploder, func_rain, func_remove all worldspawn specifics and dropdownmenu for func_crate.

* [cdunde/DanielPharos]: Added code to retain selection in Model Editor when making a Skin-view drag.

* [cdunde]: Made numerous changes to stop unneeded redrawing of handles in other views
          - in the Model Editor to increase drawing speed.

* [cdunde]: Added option to draw or not draw handles in the Model Editor 3D views
          - while rotating the model to increase drawing speed.

* [DanielPharos]: Fixed an access violation when trying to save MD3 files. Althought this is
                  currently not supported, it doesn't wreck QuArK anymore.

* [DanielPharos]: QuArK should now be able to handle most PNG files correctly!

* [DanielPharos]: Updated VTF handling to use VTFLib. The HL2 memory leak is gone!
                   Also, VTF file loading AND saving is now working properly!

* [DanielPharos]: Added realtime OpenGL lighting and OpenGL transparency! Also added an option
          - for OpenGL face culling.

* [DanielPharos]: The tier0 and vstdlib dll files for HL2 can now be pointed to using the
          - configuration, so you don't need to copy them to the local QuArK directory anymore!

 * [cdunde]: Fixed errors that occur when switching layouts in the Model Editor.

 * [cdunde]: Stopped handles and limited line drawing in the Model Editor
          - Skin-view to increase reaction time when zooming.

 * [cdunde]: Add new Model Editor Views Options button and functions to reduce
          - handle drawing to increase reaction time.

 * [cdunde]: Stop the line, resizing bar, from drawing across the editors
          - when certain view pages were pulled out as floating windows.

 * [cdunde]: Added a detailed section to the Infobase Model Editor about the model structure.

 * [cdunde]: Updated Half-Life 2 textures-hl2.qrk and textures-hl2-cs.qrk files for new Beta
          - vtf method improving proper display and added material textures previously left out.

 * [cdunde]: Changed Half-Life2 files to work with QuArK Beta using vtf files instead of vmt files
          - and updated the Infobase Config. Specific Games section on their installation and use.

 * [cdunde]: Fixed the Paste Here function that was not working properly or at all in the views.

 * [cdunde]: Added color setting options for various Model Editor mesh and drag lines.

 * [cdunde]: Setup Skin-view proper handle dragging for various model skin(s)
         - and no skins combinations.

 * [cdunde]: Improved quality of 3D Texture mode while dragging at increased drawing speed.

 * [cdunde]: Added a new developers "tool" function "WhatIsThisObject" with various options
         - to print everything about a QuArK Internal Object to the console and a hard copy
         - in the QuArK main directory folder called DEVELOPERS.txt to avoid constant
         - calling of each individual item to get information about what the object consist of.

 * [cdunde]: To remove un-needed redundancy of code that slows down drawing speed.

 * [cdunde]: To draw the 2D and 3D view model vertex handle lines while dragging
         - but not the handles that substantially reduces redraw speed.

 * [cdunde]: Changed Specifics so multiple selections of the same entity can be set together.

 * [cdunde]: Made additional fix to stop filling multiple dropdown list with erroneous data,
         - for example like a misc_model for func_bobbing entity.

 * [DanielPharos]: Fixed the software & glide lock-up!

 * [cdunde]: Fixed Model Editor's Skin-view to draw model mesh correctly and fairly fast.

6.5.0 Beta 1
=============

 * [cdunde]: Stopped the Model Editor from drawing incorrect image in Skin-view.

 * [cdunde]: To draw the Skin-view drag lines when paused with drag.

 * [cdunde]: Started a new Model Editor Infobase section
           -  and their direct function links from the Model Editor.

 * [cdunde]: Added RMB menu item for all Model Editor 3D views to reset the model location,
           - based on its current rotation method, in case it goes out of the view and lost.

 * [cdunde]: Fixed the broken direct link in the Help menu to the QuArK Forums.

 * [cdunde]: Added a new sub-menu to the Model Editors "Options" menu,
          - with various methods of rotation in 3D views to choose from.
 
 * [DanielPharos]: Fixed the access violation and subsequent grey OpenGL windows when
         - loading a model without a skin.

 * [DanielPharos]: OpenGL is now able to render 2D views.

 * [DanielPharos]: Turned Glide right side up.

 * [DanielPharos]: Added higher texture-size support (only works in OpenGL).

 * [cdunde]: Started dragging lines support for Skin-view vertex movement.

 * [cdunde]: Fixed the Model Editors 3D pivot point at the center of the view.

 * [cdunde]: Fixed error when handle is moved on the Bezier Selected patch page
         - but returned to starting position without completing the handle move.

 * [cdunde]: Added display of currentskin path and name to Skin-view data form section.

 * [cdunde]: Added code to activate the movement of the Skin-view skin handles for skinning.

 * [cdunde]: Added code to draw skin mesh lines in Skin-view.

 * [cdunde]: Added Model Editors Skin-view own zoom button independent of all other views.

 * [cdunde]: To properly align model skin with its mesh movement handles and zooming function.

 * [cdunde]: To show currentskin of a model component in Skin-view when any item
         - of that component that is chosen.

 * [cdunde]: Added the drawing of misc model items and bones to stop errors and display them.

 * [cdunde]: Changed Paint Brush dialog to work with new version view setup and names.

 * [cdunde]: Setup and activated the Model Editor XYZ Lock Commands menu items
         - and made them interactive with the Lock Toolbar.

 * [cdunde]: To stop console error when Alt+S is pressed with cursor outside of any view.

 * [cdunde]: Changed Grid Scale displayed numbers to RED for better viewing in Textured 2D mode.

 * [cdunde]: To setup the Model Editor's Skin-view and display the skin for .mdl, .md2 and .md3
         - models using .pcx, .jpg and .tga files and other work in progress.

 * [cdunde]: New "viewname" info added and "type" for 3D view "full3Dview" for controlling functions.

 * [cdunde]: To add help and Infobase links to Model Editor buttons for future use.

 * [cdunde]: Updates to accept Python 2.4.4 to eliminate console Depreciation warning messages.

 * [cdunde]: Fixed error if Addons Delete item is opened and closed with no items to delete.

 * [cdunde]: Fixed error and to display texture of bezier texture selection list change.

 * [cdunde]: Fixed extruder 2D view to Unrestricted other items when view is closed.

 * [cdunde]: Fixed Link Face function broken since tagging keyword system introduced.

 * [cdunde]: Made a fix to stop filling multiple dropdown list with erroneous data,
         - for example like a misc_model entity.

 * [cdunde]: Added Copy, Paste and Cut functions to the Specifices\Arg
         - page RMB pop-up menu for easer handling of these items.

 * [cdunde]: A complete new set of Textures sound Flags added to the
         - Q2_Lazarus.qrk file, implemented by Jon Kalashnikov (aka Paril).

 * [cdunde]: Made up a complete QuArK_STVEF.zip game support package with .md3 models
         - to allow their viewing in the editor, all available textures for QuArK's Texture
         - Browser and added its link to a new STVEF Infobase Configuration doc section.

 * [DanielPharos and cdunde]: Complete revamping of STVEF files and addition of HM addon
         - for multiplayer editing by DanielPharos.

 * [DanielPharos and cdunde]: As far back as mid 2000 Access Violation errors would
         - occurred with various entity forms, causing QuArK to crash. That is now fixed!

 * [cdunde]: Changed "Poly size" display in "hint box" to w, d, h to reduce confusion
         - with bounding box settings and to coordinate with x, y, z format.

 * [cdunde]: New Torque feature by Jari that will create folder(s)
         - that match the qrk tree to store compiled dif files in.

 * [cdunde]: Completely revamped the DataQ4.qrk file to coordinate with the new
         - QuArK_Quake4.zip game support package to allow the viewing of all available
         - textures in QuArK's Texture Browser, all game models viewable in the
         - 3D editor Texture views as .md3 models, detail entity settings with the use
         - of pre-defined dropdown list, model selection and variations list,
         - file selection capabilities for models and sounds,
         - as well as 'color pickers' for all lighting functions.
         - Even a few 'script\shader' corrections.

 * [cdunde]: Made up a complete QuArK_Quake4.zip game support package as well as
         - a QuArK_Quake4md3.zip .md3 models package to allow viewing of the models
         - and added their links to the Quake 4 Infobase Configuration doc section.

 * [cdunde]: Created F1 help link for the Extruder Shape Builder and updated the
         - Infobase with screen shots and step by step description of its use.
        
6.5.0 alpha 8
=============

 * [cdunde]: Completely revamped RTCW-ET as its own game to coordinate with the new
         - QuArK_RTCW-ET.zip game support package to allow the viewing of all available
         - textures in QuArK's Texture Browser, all game models viewable in the
         - 3D editor Texture views and detail entity settings with the use of
         - pre-defined dropdown list, model selection and variations list,
         - file selection capabilities for models and sounds,
         - as well as 'color pickers' for all lighting functions.
         -E ven a few 'script\shader' corrections and all missing textures creations.
         -Made up a complete QuArK_RTCW-ET.zip game support package and added its
         - link to the, also new, RTCW-ET Infobase Configuration doc section.

 * [cdunde]: Added 0 division testing to stop console errors when "wrapping" textures.

 * [cdunde]: Completely revamped the DataRTCW.qrk file to coordinate with the new
         - QuArK_RTCW.zip game support package to allow the viewing of all available
         - textures in QuArK's Texture Browser, all game models viewable in the
         - 3D editor Texture views and detail entity settings with the use of
         - pre-defined dropdown list, model selection and variations list,
         - file selection capabilities for models and sounds,
         - as well as 'color pickers' for all lighting functions.
         -Even a few 'script\shader' corrections.

 * [cdunde]: Made up a complete QuArK_RTCW.zip game support package and added its
         - link to the RTCW Infobase Configuration doc section.

 * [cdunde]: Updated Infobase docs for Torque and added Torque_textures.zip link
         - to QuArK's game_support section.

 * [cdunde]: Fixed Access Violation errors when rebuilding and moving in 3D views.

 * [cdunde]: Fixed Extruder Shape Builder 2D view editor that was broke.

 * [cdunde]: Added poly "No fill" and "Outline color selection" functions to the
        - RMB menu item "Background image..." with direct link full Infobase
        - documentation on these functions, their settings and use.

 * [cdunde]: Started, and direct linked from the editor, a new section to the
        - Infobase docs for RMB menus, their items and full documentation on use.

 * [cdunde-Mek]: Completely revamped the Configuration for RTCW and included one
        - of two building tools in the RTCW addons folder. The second building
        - tool has been repackaged spacificaly for QuArK and placed on the new
        - QuArK Official site "game_support" location for easy downloading and
        - installation, which is directly linked to and covered in detail
        - in the new Infobase docs section for the Configuration of RTCW.

 * [cdunde]: Setup a new file section on the QuArK Official site, "game_support",
        - for files specifically repackaged for QuArK, by game, and directly linked
        - to the Infobase configuration docs of those specific games supported by
        - QuArK for easy and fast direct downloading and installation.

 * [cdunde]: Added full Infobase Configuration documentation for RTCW.

 * [Rowdy]: Fixed the code so that Doom3 and Quake4 can now use the map name
        - that is being edited to compile and run in the game without having
        - to manually change it anymore.
        
6.5.0 alpha 7
=============

 * [cdunde]: Added Infobase Configuration documentation for Doom 3 and Quake 4.

 * [cdunde]: Linked Configuration menu item directly to its Infobase section
       - to make it easer to find instructions to setup games and the editors.

 * [cdunde]: Initial support for the editing of Quake 4 maps. Users for
       - Quake 4 and Doom 3 should provide the developers of QuArK any
       - input they can about how the use of entities are executed and
       - additional items that should be added to the Texture Browser.
       - This feedback will greatly help to enhance the support of both games.
      
 * [cdunde-Rowdy]: Changed the source code of the material handling method
        - for Doom 3 and Quake 4 by adding the use of "Keywords" to display
        - their related texture links, thus increasing those viewable textures.
        
 * [cdunde] : Changed the Defaults.qrk Doom 3 configuration to simplify
        - its setup, directly compile and run maps from within QuArK
        - and set the Doom 3 console to open by just using the ~ tildy key.
        - Did the same for the Quake 4 setup configuration and operation.
        
 * [cdunde] : Added light color pickers to entities for Doom 3 and Quake 4.
        -  Also cleanup of DataD3.qrk and DataQ4.qrk files.
        
 * [cdunde] : Removed "id Software Textures" common.txlist, no longer needed,
        - from the Texture Browser with the materials handling fix.
        - These items are now located in the mtr_invisible items folder.

 * [cdunde] : Fixed the RMB Mark function for tree view restructuring with
        -  the marking of objects. Bug found by jal - Thanks for your input.

 * [cdunde] : Fixed RMB handle error from occurring in texture movement view.
 
 * [nerdiii] : Fixed Texture memory that wasn't freed because texture links
       -  had additional references to them.(Postponed for further dev. & tests)

 * [cdunde] : Reinstated bounding box for H-L2 info_player_start and added
       - prefabs-hl2.qrk to Defaults.qrk Addons list.

6.5.0 alpha 6
=============

 * [cdunde] : Enlarged model Tick Marks for easer viewing and
        -  and added item to Options menu to make one more size bigger.

 * [cdunde] : Added view axis icons to Model editor Options menu with HotKey.

 * [cdunde] : Setup model frame outlining and options for solid and color selection
       -  in Model Editors Configuration section.

 * [cdunde] : Up dated the Defaults.qrk file and added a new section to the Infobase
       -  for the configuration of the Torque game engine.

 * [cdunde] : Fixed viewing of player models and other updates for Quake2 CTF addon.

 * [cdunde] : Fixed Torus Hollow-No bulkheads function missed with new additions.

 * [cdunde] : Added Quake2 .md2 model file saving functions back to Model Editor.

6.5.0 alpha 5
=============

 * [cdunde] : Added three new Quick Object Makers, Double-cone, Dome and Fan
      - along with full Infobase documentation.

 * [cdunde] : Changed Sphere hollow to extrude to substancialy increase speed
      - and cleaned up code to also try and help with redline drawing speed.

 * [cdunde] : Fixed rulers distance displayed amount from drifting away from
      - marker on screen view x-axis when the scale size is changed.

 * [cdunde] : Fixed smearing of 2D views when rulers are turned off.

 * [cdunde] : Changes by Nazar to the scale, zoom and map sizes that QuArK can handle
     - to allow the creation of much larger maps for the more recent games.

 * [cdunde] : Various updates by Nazar to the Defaults.qrk, DataJA.qrk and DataJK2.qrk
     - files for corrections of entities, their settings and proper path defaults.

 * [cdunde] : Various fixes with Philippe C. to have QuArK more compatible to run
     - on Linux using Wine and eliminating errors while keeping functions operational.

 * [cdunde] : Fixed error message occurring sometimes when switching game modes.

 * [cdunde] : Expanded on textures that can be viewed in Texture Browser for
     - Half-Life2 and Counter Strike and added textures to textures-hl2.qrk file.

 * [cdunde] : Fixed setup and textured viewing in Texture Browser for Half-Life2.
     - Reinstated prefabs-hl2.qrk previous version so they would work again.

 * [cdunde] : Added new 'Hollowing' functions to the Quick Objects Maker dialog boxes.
     - Allows the automatic hollowing and interior wall removal of all objects.
     - Updated Infobase on these new functions and full documentation of their use.
     - Added new safe guards and alert messages for excessive faces and processing times.

6.5.0 alpha 4
=============

 * [cdunde] : Added new Quick Objects Maker functions and toolbar.
     - Allows the creation of basic object shapes for Spheres,
     - Pyramids\Cones, Cylinders and Torus by simply dragging them.
     - Instant live updating of all object shapes as created by dragging.
     - Object modes tool-palette with shape icons and Infobase links.
     - (see Infobase section 1.4.3.4 Object modes tool-palette)
     - Custom distortion and modifying dialog input systems.
     - Informative color scale face and sections live action counter.
     - Visual Aids including linking with new Customizable Ruler System.
     - Add new section to Infobase with full operation documentation.
     - Built in safe guards and broken poly checking and elimination.
     - Pre-structured face and section labeling system with group folders.
     - Single object item undo action creation.

 * [cdunde] : Fixed TG cursors to change according to textured
    - and non-textured modes and button changes properly.

 * [cdunde] : Fixed error and add selection function to TG Paint Brush
    - when an unknown texture is found.

 * [jfvg] : Fixed so H-L 2 custom textures can be viewed and used.
 
 * [cdunde] : Fixed another key error when using
     - Tab key function in Model Editor.
 
 * [DannJ] : Various improvements made to the DataHr2.qrk file.
    - Filled in various 'no hint' fields with info
    - Misc spelling corrections to hints
    - Changed model path for ITEM_WEAPON_MAGICMISSILE
    - Fixed bbox for monster_elflord, high_priestess & spreader
    - Altered bbox for light_floortorch
    - Altered bbox for MISC_MAGIC_PORTAL
    - Added SKINNUM field to LIGHT_GEM2 (yellow or green gem)
    - Added SPAWNFLAGS to FUNC_PLAT
    - Added TARGETNAME and SPAWNFLAGS to FUNC_OBJECT
    - Added more spawnflags to various triggers
    - Changed model paths for OBJ_QUEENCHAIR & OBJ_QUEENTHRONE
    - Added SPAWNFLAGs to SHRINE_POWERUP trigger
    - Fixed bounding box for STATUE_CORVUS
 
 * [cdunde] : Updated Infobase tutorial on how to create texture links.
 
 * [cdunde] : Updated the editors help link and About page
    - to the new QuArK Official website page address.
 
 * [cdunde] : Fixed error in editor and Infobase for X 2D view of
     - Y axis sign and label which was backwards.
 
 * [cdunde] : Added new Paint Brush cursor for Terrain Generator paint mode.
 
 * [cdunde] : Fixed bug braking Model Editor because of code added to stop last
     - selected item for Terrain Generator being drawn in white outline.
 
 * [cdunde] : Added F1 help and Infobase documentation for
     - new vertex movement function.
 
 * [cdunde] : Fixed bad texture scale function due to python
     - reliant conversion to python.dll, for string module.
 
 * [cdunde] : Fixed drag and drop items to console function due to python
     - reliant conversion to python.dll, for string module.
 
 * [cdunde] : Added new 2D Rulers function and Options menu and sub-menu
     - items that show a marker line and the total distance for any selected
     - face, poly or group of faces and/or polys.

6.5.0 alpha 3
=============
 
 * [cdunde] : Added new Touch-up Selector to the Terrain Generator.
     - Allows selection and movement of faces with common vertex position.
       as well as individual faces.
     - New toolbar button linked to full InfoBase documentation of its use.
     - HotKeys: Alt=single face movement, Ctrl=Snap To Grid, Shift=pans 3D view.
     - Automatically selects and applies color guide to common faces.
     - Added new color guide structure, corresponds to existing, and place markers.
     - Allows face selection for Redline Grid Guide to find vertex locations.
     - Uses UNDO which darkens selection undone for reworking-LMB click clears.
     - Does not effect Hidden Groups for multi level work.
     - Combined with Texture Applicator Dialog with Updated and added new features.
       - Interaction with new 3D Options dialog box for added color guide variations.
       - Added new "Variance" setting for multi vertex group selection and movement.
       - Added new "Paints sides too" to allow texturing of side faces with others.
       - Added new "Paints sides only" to allow texturing of side faces only.
       - Full default reset capabilities.
 
 * [cdunde] : Added new 3D Options function to the Terrain Generator.
     - Allows custom, individual settings, for all 3D views in QuArK.
     - New toolbar button linked to full InfoBase documentation of its use.
     - Displays its own New Dialog box that interacts with QuArK's
       Terrain Generator - Texture Applicator dialog box.
     - Grouped all options by 3D view type in same order as Display toolbar.
     - Renamed to give full titles for all QuArK 3D views for easy distinction.
     - Dialog box set to stay open and save all settings.
     - Dialog box set to allow moving and resizing.
     - Full default reset capabilities.
 
 * [cdunde] : Reset all toolbar buttons to clear selections to avoid
     confusion switching from button to button and toolbar selectors
     to toolbar selectors.
 
 * [cdunde] : Defaults.qrk, added Map Options setting for the Dialog boxes
     to avoid error messages and allow the Terrain Generator tools to work
     properly the first time QuArK is installed.
 
 * [cdunde] : Fixed Map Options for selection of default mouse cursor
     that was broken in version 6.5.0 alpha 2.
 
 * [cdunde] : Stopped the drawing of the last selected face/poly parent for
     a group selection when in Terrain Generator mode for a cleaner look.
 
 * [cdunde] : Added key word "viewname" to all 3D views for easier
     detection and control of those views. Not required for 2D views,
     their key word "type" gives those view names already. New key values
     are "editors3Dview", "new3Dwindow", "full3Dview" and "opengl3Dview".
 
 * [cdunde] : Fixed Terrain Generator Paint Brush function to allow
     texture application in all 3D views and update of those views.
 
 * [cdunde] : DataQ3.qrk file - Removed hard coded textures and pointed
     path to pick up textures in actual textures folders and pak files.
 
 * [cdunde] : Removed light entity dependency for all games transparency
     to work.
 
 * [cdunde] : Made one setting in QuArK's Config OpenGL section for all
       games that use transparency that can be viewed in QuArK:
       right now they are - Quake2, Half-Life and Half-Life2.
       Also removed H-l and H-l2 individual setting for this.
       See Defaults,qrk file for setup.

 * [cdunde] : Fixed minor config problem for RTCW.
 
 * [cdunde] : Added Infobase comments about changing mouse movement
     direction in Config.
 
 * [cdunde] : To fix QuArK's first startup form buttons location and
     screen placement.
 
 * [cdunde] : Resized About page and startup Logo

 * [peter-b] : Make installer header/splash images match main QuArK
     splash screen

6.5.0 alpha 2
=============

 * [peter-b] : Small bugfixes (spelling and grammar, version numbers)

 * [peter-b] : Expunge Python 1.x string library

 * [cdunde] : Fixed light entity dependency for OpenGL transparency to
     work feature.

 * [cdunde] : Fixed OpenGL gray out and errors for odd size textures
     and loss of transparency for older game modes.
 
 * [cdunde] : Fixed slowdown/lockup problem on startup and in editor.

 * [peter-b] : New tagging API in `quarkpy.tagging' module.
     - New `mapgeomtags' plugin
     - Make `tagging' plugin emulate old behaviour using `mapgeomtags' 
       and the new tagging API
     - Mark `tagging' API as deprecated

 * [cdunde] : Added a new Advanced vertex dragging plugin by tiglari
     and mbassie that has been around a long time but never added.
     Press and hold the "N" HotKey before selecting a vertex to drag.

 * [cdunde] : Added new Paint Brush function to the Terrain Generator.
     - Allows the changing of texture on an individual or group bases
       in all 3D Textured and OpenGL views with complete terrain
       selection and full movement capabilities in all 2D views.
     - Displays color face shapes as a guide to their locations using
       cursor passover detection method with on and off option.
     - Displays color face shapes for those receiving new texture.
     - Added default setting in the config. section for terrain texture.
     - New dialog input for the Paint Brush to select, place and
       adjust textures with 'quick' selection input, default reset and
       origin retention capabilities, which will also work for
       standard faces.
     - Added full documentation to the Infobase on its use and
       functions linked to its activation toolbar button in the
       editor.

 * [cdunde] : Reset Texture Positioning dialog to stay open for use.

 * [cdunde] : To properly fix interference with Model Editor
     by terrain toolbar key error when dragging.

 * [cdunde] : Added "Tab" HotKey to rebuild 3D view for Model Editor.

 * [peter-b]: Top directory text file updates

 * [cdunde]: Fixed error caused by "Tag Tool Palette" for games
     without Texture Flags forms.

 * [cdunde]: Added basic Textures Flags form to Half-Life to fix
     console error.

6.5.0 alpha 1
=============

 * [cdunde]: Added QuArK Terrain Gennerator and Infobase documentation.
     - New Terrain Modes Toolbar linked to the Infobase and
       documentation detail.
     - Contains three terrain Shape Builder patterns for making
       surfaces.
     - Converter for other imported terrains such as GenSurf and
       Nem's Tools.
     - Face Converters for top, bottom or both faces for shape
       movement together.
     - Adjacent Faces Selector tool for selecting other faces touching
       a single one.
     - Selector Dialog Input for variations of terrain movement and
       shaping.
     - Basic Selector allows selections through all normal polys and
       entities.

 * [cdunde]: Added Infobase link and info for use of saving camera
     possessions.

 * [cdunde]: Fixed Duplicators to include entities.

 * [Fred]:  Q2 / HL1
     - Updated waypoint data types.

 * [cbxpm]:  HL2 / Source
     - New default addon that supports HL2-Game Sounds via
       ambient_generic.
     - Improved HL2 NPC_entities.
     - Added HL2-Soundscapes (default addon).

 * [alexander]: HL2/Source
     - enable display of trigger links in map (postponed)
     - enable display of cones of light spots (postponed)

 * [cbxpm]:  HL2

     - Added HL2-Prefabs (custom addon)
     - Defaults.qrk: Added file association .vmf (Valve map format)
     - DataHL2.qrk / base.qrk: Added custom polys for use with
       specific brush entities

 * [alexander]: HL2
     - fixed problem with different material path lengths (decals
       folder)
     - try several entries of a material as image source: %tooltexture
       then $basetexture and if that doesnt help $envmap
     - fixed bug that quark cant load its own exported .vmf
     - quark trys to load a .vmf with the same name as fall
       back if loading a material fails
     - better exception forwarding from load material to display of
       image
     - reduced overall logging of dlls
     - introduced an environment "QUARK_LOG_LEVEL" variable to
       increase logging verbosity of quark.

 * [cdunde]: Major updates and changes by dannsdinosaurs DannJ to the
     Heretic_II DataHr2.qrk file.
 
 * [cbxpm]:  HL2 / Source engine content update
      -  Entity files are now alphabetically sorted
      -  Some entities fixed / improved

 * [alexander]: HL2
     - QuArK can display HL2 Materials now

 * [cbxpm]:  HL2 / Source engine content update
     - Prepared material files to work with shaders
     - UserData Half-Life2 updated (more quick selectable entities)

 * [alexander]: HL2
     - HL2 split up entity files in base, and game specific files

 * [cdunde]: Updated the Genesis3D and Hexen_II data.qrk files
      - as well for corrections noted by Bengt Jardrup

 * [cdunde]: Major updates and changes by Bengt Jardrup
      - to the Quake_1 DataQ1.qrk file.

6.4.1 alpha 3
=============

 * [cbxpm]: HL2 content update;
     - updated material files for HL2 / CS-Source
     - improved / updated HL2 build menu (several new commands).

 * [cdunde]: Fixed red wire drag objects from erasing
     - other items in the textured 3D views when dragged.

 * [dannsdinosaurs]: Improvements to DataHr2.qrk file;
     - Added pulldown menu for door messages
     - Moved fishtrap into Commercial & Industrial folder
     - Moved fountain fish into Statues folder
     - Added mdl paths for info_player entities
     - Added 'Not Deathmatch' spawnflags to trigger_once and
       trigger_multiple

 * [alexander]: general(all games):
     - unneded copy operation for proxy views removed
     - more progress indicators added (textures and polys)

 * [alexander]: HL2 / Source specific
     - added saving textures as vtf
     - vtf format variant selection added to HL2 configuration
     - export used textures to materials folder added
     - user menu configuration with export textures feature

 * [cdunde]: Fix by Fredrick Vamstad for the bot way pointer.

 * [cdunde]: Fixed Select Everything function to include Shape
     Builders.

6.4.1 alpha 2
=============

 * [alexander]
      - General (all games): textures with alpha channel are
        rendered transparent in open gl
      - HL2: lightmapscale has now a default of 16 
      - HL2: dont generate duplicate classname when loading vmf
      - HL2: save memory by checking if vtf texture has alpha at all
        and only then generate alpha data into quarks local texture
      - HL2: cs textures update ( thanks to cybox !)

6.4.1 alpha 1
=============

 * [Rowdy/cdunde]: Mainly to play nice with Torque's map2dif utility,
      an option has been added to the game configuration window for
      each game to specify the number of decimal places to use when
      writing floating point values to .map files.  Most games work
      with the default value of 5, Torque/map2dif requires more (and
      is defaulted to 16).  Ranges from 1 to 40.

 * [alexander]: HL2 Related Enhancements
      - can set lightmapscale for face in face specific page
      - vmf file loader imports worldspawn attributes, dumps
        everything it doesnt understant into a misc folder of the map
        structure
      - vmf loader does no longer break on hidden entities and brushes

 * [alexander]: HL2 Related Enhancements
      - loading of .vmf (hammer map files) is available
      - CS-Source textures complete
      - QuArK Loads HL2 models and render yellow transparent boxes
        with the models size and orientation in the open gl
        viever. Note that lights must be enabled an a light entity
        must be in the map to make this work.
      - QuArK understands now a mdlrendermode setup for model
        rendering additionally to the "mdl", "mdlbase" and
        "mdlopacity" form date specifics.
      - fixed bogus mdlopacity specific reading
      - The model selection form has been improved
      - the quarksteamfs.dll allows now retry of a steam
        configuration, before this we had to shutdown quark to be able
        to retry a different configuration.
      - rendermode, renderamt and rendercolor settings of brush
        entities are displayed in open gl mode
      - detect hl2 bsp format, but no loading yet 
      - remove prepare textures and build program 4 call from default
        config

 * [alexander]: QuArK understands now how to access Steam directly.
      (Steam must be running for that). Some new configuration entries
      have to be set up for steam access.

 * [cdunde]: Added support for Q3 based mods CoD (Call of Duty), ET
      (Enemy Territory) and UT (Urban Terror - 2 data unit files).

 * [cdunde]: Weapon entities added to the DataMOHAA file by Hannibal.

 * [Nazar]: Added additional support for JA (Jedi Academy) with full
      lists of all textures, shaders and all singleplayer entities as
      well as a partial list of multiplayer entities. Setup a new path
      in the Defaults.qrk file for game and command lines for the map
      compiler file q3map2.exe.

 * [alexander]: Introduced new PointSpecHandle which allows to have
      additional 3d control points on entities. Which specifics are
      used for these points is controlled similar to the angle
      specific list. This is needed to support ladders and breakable
      security glass in HL2.

 * [alexander]: HL2-related enhancements:
      - allow individual texture paths for hl2
      - VTF DLL api changed, can select mip level now
      - preparations for this splitting access via Steam and via HLLib
      - GCF DLL has now static linkage against HLLib
 
 * [alexander]: Fixes for HL2/Source support
      - Fixes for GCF file handling
      - Configuration changes to handle HL2 textures

 * [Rowdy]: For Doom 3: Added bounding boxes to the entities, re-added
      common/* textures (like caulk, trigger), fixed the roof texture
      in the default room, added an "export .map" option to the Doom 3
      menu on the map editing window (makes exporting .map files in
      preparation for compilation somewhat easier), updated
      readme_doom3.txt.

 * [cdunde/Rowdy]: Added light Color-Picker function for Torque game
      engine.

 * [alexander]: HL2 Support started. Too many changes to list here.

 * [alexander]: removed unnecessary resampling and gamma conversion
      for open gl true color textures

 * [alexander]: source/prog/QkMap.pas fixed malformed comment line
      with 0D inside fooling D5 and not D6
 
 * [alexander]: source/prog/Game2.pas - fixed missing use clause
 
 * [cdunde]: Created GameCodeList.txt file to keep track of codes.

 * [peter-b]: Intercept "no attribute 'wraplist'" Python error when
      trying to wrap around pillar with incorrect selection.

 * [cdunde]: Upgraded the map grid scale plugin to add more grid
      scale placement functions and marker lines for more accuracy.

 * [Harry Kalogirou]: Support for Sylphis as a game engine also
      write support for PNG images, added parser for new map files,
      added support for loading map files made for the latest Quake3
      and Doom3 engine based games. Also a small fix for handling MD3
      models(especially for RTCW).

 * [Rowdy/cdunde]: Corrected handling of comments for shaders to fix
      problem of them not showing up in the Texture Browser.

 * [Rowdy]: Initial support for the editing of Doom 3 maps.  See
      readme_doom3.txt for more information.


6.4.0 beta 1
============

 * [cdunde]: New HotKey (Tab) and Options menu function, Rebuild 3D
      views (actually all views) in case of a lockup.  This clears up
      all textured views, may need multiple attempts.

 * [cdunde]: New HotKey (Alt+A) for Options menu function, Axis XYZ
      letter indicator in view windows.


6.4.0 alpha 3
=============

 * [slightcrazed/peter-b]: Instructions for installing QuArK on
      GNU/Linux.

 * [Decker/cdunde]: New HotKey (Alt-D) and Selection menu function,
      Make Detail for setting multiple poly and face texture flag
      to detail and related Infobase update.

 * [Nazar/cdunde]: Updates to Q3 and JK2 Data.qrk files to display
      models in views, including custom and file selection windows.

 * [SilverPaladin]: Improved the compiling menu for The-WildWest 
      Maps.  Q3Map2 2.5.11 or newer is recommended.  Updated the 
      Wild-West support for the version 1.5 release.

 * [SilverPaladin] Fixed the model handling so that if a skin is not 
      found uncompressed on your hard drive, it will look in the pack 
      files you've loaded for the game.  
 
 * [SilverPaladin] Fixed the last two compilation warnings in the 
      Quark source code. Quark now compiles warning and hit free in 
      Delphi 5 and 6.  I'll check under Delphi 7 soon.
       
 * [SilverPaladin] Fixed several access violations that could occur 
      when closing QuArK.
 
 * [SilverPaladin] Protected against several divide by zero errors 
      that would occur when viewing MD3 files in Quark.  

 * [SilverPaladin] Changed the general saving method so that 
      "Unsupported File Format" errors still allow you to save your
      QRK file and not lose your work.  This could occur if you linked 
      to an MD3 file in an add-on.

 * [SilverPaladin] Updated the Map Check methods so that you can have 
      brush objects contain only beziers.  Prior to this an error 
      message was displayed erroneously stating your map would not 
      work if a brush entity did not contain at least on poly.  This 
      message has been eliminated in all games which support Bezier 
      Patches.

 * [peter-b]: Removed reliance on external string library (QuArK now
      uses Python's built-in string library directly).

 * [peter-b]: Python 1.5 no longer supported: QuArK now only works
      with Python 2.0 or higher.

 * [cdunde]: Added 'Grid scale in 2D views' feature to Options menu.
      By activating the sub-menu items they will place the current
      grid setting numbers on that particular view and will increase
      or decrease as you zoom in and out.

 * [peter-b]: Reorganised documentation to conform more closely to the
      norm for GPL projects.


6.4.0 alpha 2
=============

 * [cdunde]: Added 'Look and Zoom in 3D views' feature to Options menu
      and which is activated by the 'Zoom to selection' button in the
      'Selection Toolbar' with related hint and Infobase entry.

 * [SilverPaladin]: Fixed the error that caused all Toolbox window
      Edit and Toolboxes menus not to work.


6.4.0 alpha 1
=============

 * [SilverPaladin]: Eliminated Delphi 1-3 support by converting all
      forms to text forms for better management and by adding 32
      bit properties to the projects.

 * [SilverPaladin]: Fixed the error that caused all 3d Windows to fail
      when one is closed.

 * [SilverPaladin]: Added support for Return to Castle Wolfenstein:
      The WildWest (1.4).

 * [nerdiii]: Edited default.qrk so texture origin and size are
      displayed with two decimals

 * [dannsdinosaurs]:  Heretic II Add-on Data, Added DEATHMATCH
      spawnflag to all weapons & ammo. Added NOT DEATHMATCH to doors,
      levers, buttons, puzzle pieces.

 * [SilverPaladin]: Changed model handling so that QIII/RtCW/WW models
      can be loaded.

 * [peter-b]: Revision of the way Python version & DLL path are logged

 * [peter-b]: Bundled Python upgrade to 2.2.3

 * [peter-b]: New executable installer and release policy

 * [SilverPaladin]: General Clean Up
      - Eliminated all Delphi 5 Hints and Warnings
      - Eliminated all Delphi 6 Hints and all but 2 Delphi 6 Warnings
      - Fixed Index out of bounds error producing false positives
        during leak search...
      - Improved platform independance for future porting to linux
      - Modified Normalise so that zero length vectors are returned
        unmodified 
      - Cleaned up Direct3d hints and warninds
      - Eliminated an access violation in the 3d views

 * [peter-b, marco leise]: Fix for lambda bug

 * [cdunde]: Creation of new Selection toolbar and expansion of the
      Tagside toolbar. Both with new icons, active function hints and
      Infobase links.

 * [cdunde, Decker and others]: Addons menu creation for adding 3rd
      party programs to various sub-menus categories. To run and
      import their map output shapes. Also import any out side map to
      editor.

 * [peter-b]: Build Infobase on case-sensitive operating systems
      (such as Linux)

 * [peter-b]: Python bundling

 * [cdunde, tiglari]: mapstairs problems; fixed bug and added 'old
      style' flag.

 * [dannj] Heretic2 data: Fixed material types for trains, added
      ANIMATE flag for floor torch, fixed current direction
      descriptions, added angle specifics for lots of entities and
      more.

6.4  alpha snapshot Mar 29 2003
===============================

 There are quite a lot of new features here, one of the most
 noteworthy is that many of the help popup windows have a button in
 them which will call up the relevant infobase page.  This feature was
 conceived and implemented by cdunde, with some help from Andy Vincent
 and tiglari.  To use the new feature, you need to unzip the infobase
 (downloadable help file) into a subfolder of your QuArK folder called
 `help'.  For best results, use the most recent one, linked to from
 whereever you downloaded this from.

 Other additions include display of transparency in Q2 and other
 games, loading portal files, and a brush-from number-finder.  Here's
 the list, complete except for whatever I've forgotten: 

 * [tiglari] select tagged faces menu item enable bug fixed (bug noted
      by cdunde)

 * [tiglari] brush-from-number finder (on build menu)

 * [nurail]  new layout for dual monitors

 * [tiglari] manual loading of leak files.
 
 * [cdunde] infobase links added to many hints
 
 * [tiglari] loading of portal files
 
 * [tiglari] option for specifying thickness of lines overdrawn on map
      (holes and portals currently supported)
 
 * [marco leise] more GL modes supported

 * [tiglari, cdunde] various selection menu enabler logic bugs fixed

 * [tiglari] writes genesis3d maps in map format, with texture
      coordinates diddled so that they will hopefully be correct when
      imported into Genesis3d editors.
 
 * [decker] transparency
 
 * [dannj] updates to Heretic II entities
 
 * [cdunde] greatly improved Q2_Lazarus entities
 
 * [cdunde] tagging toolbar
 
 * [cdunde, Andy, tiglari] F1 help can now load a page from the
      infobase, which must be in help/ subfolder of QuArK directory
      
 * [tiglari] enhancements to wall maker

 * [decker] bot waypoint editor, preliminary

 * [tiglari] writes genesis3d maps in map format, with texture
      coordinates diddled so that they will hopefully be correct when
      imported into Genesis3d editors.
 
 * [decker] transparency
 
 * [dannj] updates to Heretic II entities
 
 * [cdunde] greatly improved Q2_Lazarus entities
 
 * [cdunde] tagging toolbar
 
 * [cdunde, Andy, tiglari] F1 help can now load a page from
      the infobase, which must be in help/ subfolder of QuArK
      directory
      
 * [tiglari] enhancements to wall maker

 * [decker] bot waypoint editor, preliminary >>>>>>> 1.52
 
 * [decker] scrollbars on plugin list
 
 * [rowdy] changes for compilation under D7
 
 * [tiglari] to compile an .exe to use Python 2.2, add
      PYTHON22_OR_BETTER to the Project Conditional Defines.
    
QuArK 6.3
=========

 * [tiglari] bugs with bsp-viewing fixed

 * [tiglari] add 'nolinear' form and checkmark to path duplicator;
      this means that linear mappings will work on it properly

 * [tiglari] revise wallmaker form to encourage extruded version,
      deprecate negative polys, and suggest using sold for revision of
      complex forms.

 * [tiglari] fix error-on-RMB-on-vertex-in-restricted-selection bug
                        
 * [tiglari] mirror-image  face|textures RMB command.
       
 * [tiglari] finding and fixing faces with non-integral vertices -
      finder on search, fixer on command menus; F1 for help.

 * [decker] calculation of jumppad trajectories for Q3 
 
 * [tiglari] add .pts loading commands to defaults for Q1, Hx2, HL

 * [tiglari] lighting problems with etp and V220 formats, pinned down
      with great effort by quantum_red, fixed.

 * [tiglari] bug with non-inverse brush arches fixed (found by
      quantum_red)

 * [tiglari] problems with valve mapversion220 format writing fixed
      (ditto)

 * [cdunde] Meaningful movepal icons
 
 * [tiglari] fix RTCW misc_model models, many skins still AWOL dunno
      why

 * [ut_fourdays] bad spawnflag fix for func_door/rotating

 * [quantum_red,Decker,tiglari] fix dual screen monitor problem

 * [Decker] Fixed GDI-object(s) not being released (leaked), when
      using colors on tree-view groups (reported by Raybot).

 * [decker]  bugfixes to -mapbrushcurves.py, mapquakemenu.py,
      maptexsearch.py, mapdupspath (involving 'level' flag).

 * [tiglari] Fix problems with texture positioning in Classic Quake
      and Quark etp mode (reported on the rust QuArK forum, argggh
      what was I smoking when I wrote that code ...)
                 
 * [tiglari] Improve many of the search dialogs (thin faces,
      microbrushes, bad texture scales, targetting/ed, bsp study,
      browse multiple selection) so that they start with the first
      item on the list loaded and ready to go, and don't chose the
      first of two items with identical names.

 * [tiglari] Radiant-style dragging for frozen selections (if
      drag starts inside brush/patch but not on a handle, the whole
      thing is drug, if drag starts outside of brush, most nearly
      facing face is.  Dragging of handles stays as before.

 * [Decker] Map-editor's "Search and replace texture" now also works
      as a search-for-texture in the map. Not to be confused with the
      "Search for texture" which only searches in the texture-browser.

 * [tiglari] Replace texture dialog: if just a face is selected, its
      texture is now loaded into dialog (bug report from fpbrowser)

 * [tiglari] some Valve 220 map reading errors now recorded in the
      console (bad texture scale info)

 * [tiglari] Bezier patches selectable from back as well as front
  
 * [tiglari] Bilinear filtering option for textures in OpenGL view
      (supported by a lot of code cleanup by Decker and Andy)
      
 * [tiglari] Configurable 'Aux Keys' held down to select brushes,
      faces, curves and entities
      
 * [tiglari] 'frozen selection': Shift-LMB like Radiant select,
   selection doesn't change until another frozen selection is made,
   selection is changed in tree-view, or deselected with ESC or
   Unfreeze selection
                 
 * [tiglari] Mohaa map reading implemented, various map writing bugs
      fixed

 * [nurail] JKII light path entities corrected
   
 * [nurail] error involving line 447 mapquakemenu hopefully fixed

 * [rtdtheprof] torque maps read correctly

 * [tiglari] Mohaa maps should now be written correctly (not read,
      yet). 
                
 * [tiglari] mirror duplicators are supposed to work now.  This is
       really a fix to new texture positioning scheme, the underlying
       problem might have been having other repercussions.
                
 * [tiglari] fix errors on opening map editor (for some people, not
      me, for reasons which I don't understand at all)

 * [tiglari] basic Mohaa maps now compile and run.  Texture flags
   don't work yet but.  Another peculiar feature of Mohaa is that the
   maps are written into the main directory, since the engine seems to
   have trouble with tmpquark.  This may change.

QuArK Snapshot of 2002ap29
==========================
                
 * [Decker, tiglari] improved RTCW support
 
 * [tiglari] fix bug in brush primitives writing
 
 * [Decker] start Mohaa support
 
 * [Andy] start JKII support
 
 * [Rowdy] make it compile in Delphi 6

 * [tiglari] On search menu, 'find bad tex scale' item that locates
      faces with axes almost parallel or too small (the settable
      parameters; I'm open to suggestion as to what the default values
      should actually be).

 * [tiglari] `Move containing' item on the vertex RMB that moves the
      parent item selected from the submenu so that the vertex becomes
      on-grid

 * [tiglari] Better F1 help for the 'texture wrap multiplier' menu
      item on the face RMB|Textures submenu
     
 * [tiglari] fix groups hidden/greyed icon change (report by
      off_by_two)

 * [tiglari] change map-writing system so that format is specified in
      game config rather than Map|Option flags.

This snapshot is distributed also as a patch that can be overwritten
on the 2002feb28 snapshot.
  
QuArK Snapshot of 2002feb28
===========================
           
 * [Andy] .md3 skins can hopefully be loaded from paths with forward
      slashes

 * [Decker/tiglari] a memory leak involving the display of textures in
      the multi-pages panel has hopefully been fixed
    
 * [tiglari] memory-use tracker.  To use it, first check Developer
      mode in the options menu, then restart QuArk.  On the command
      menu will appear an item 'heapstatus', click it to get a display
      of how much memory has been allocated, and on a second click,
      how much this has changed.  The undo stack seems to consume
      about 1500 bytes for a simple brush move; I set this to 0 for
      leak hunting.

QuArK Snapshot of 2002feb24
===========================

 * [Decker] Added some Medal of Honor:Allied Assault support. Not
      much, as the buildtools for maps (.BSP files and such) have not
      yet been released, nor have entity-describtions.

 * [Decker] The buildtools-setup for Return to Castle Wolfenstein is
      now configured for GTKRadiant's Q3MAP.EXE program.

 * [Andy/Decker] Added .PNG images file support, though only
      8-bits/paletted images shown in QuArK's texture-browser. This
      means that any 24-bits .PNG images will not show correctly in
      QuArK. (Programmers note: Duplicated ZLib code. Should try to
      only use source\components\zip, and eliminate the need for
      source\components\PNGZlib.PAS and source\components\*.OBJ)

 * [Andy/Decker] Added Tribes 2 .VL2 and .CS-script files
      support. Note that .VL2 files are actually .ZIP files, just like
      .PK3 files are, so if you're not happy with the way QuArK
      handles .VL2 files, you can use WinZIP or any other
      ZIP-utility. And .CS files are just plain text-files, so use
      your favorite "NotePad"-editor.

QuArK Snapshot of 2002jan06
===========================

 * [Decker] Added Return to Castle Wolfenstein game-support, though
      the buildtools-setup for RTCW isn't configured properly yet.


 * [Decker] Maybe fixed the problem, of endlessly occuring dialog-
      boxes, which asked if QuArK should save modified files
      now. Usually this happened, when using the "Create new
      texture-links" in the Texture Browser, and just continued to
      work within QuArK. (See revision 1.29 of Qk1.PAS)

Patch2 to O80601 Snapshot
=========================

 * 'hlradfilemaker' duplicator plugin.

 * 'symxyz' duplicator with toggleable axes.

 * 'Adjust Angles Automatically' Menu Option and 'Auto-Adjust Normal'
   Map option renamed to `Quantize angles'

 * usercenters now transform with containing groups under linear
   mapping

 * Q3A CDROM config now works.

 * fix bugs in snap object (separation, when selected or tagged face
   is horizontal)

 * refurbish slide poly etc plugin; now works wrt tagged plane as well
   as tagged edge

 * Some Half-Life config fixes (see DataHL.qrk changelog)


Patch1 to 080601 Snaphsot
=========================

 * reset texture cycle command, so that the texture cycle files can be
   edited, and results seen in the same editing session

 * 'snap object to tagged' menu item: if a face is tagged, select a
   face, then a parental object from the menu, then 'snap object to
   tagged'.  Object will move and rotate that selected face is
   oriented parallel to tagged one, with specified separation.

QuArK Snapshot of 080601
========================

Changes from 070901:

 *Multiple selection list browser:
    when there is a multiple selection, menu-items and a hotkey
    are activated to list the selected items in a dialog, from
    which the members can be further selected.

 *Texture substitution cycle for standard duplicators
   (basic, linear): give the specific tex_sub the name
   of a file such as texcycle.txt.  The file should
   have a list of texture names on each line, whitespace-
   separated, e.g.:

    gothic_block/block10d gothic_block/blocks10

 *clear mark command.

 *threepoint plane can now glue to tagged plane

 *BSP Support:
    - all bsp's viewed except for Sin (patches omitted from Q3A/STVEF)

    - entity lumps now edit correctly (comments no longer mis-written
         into them)

    - bsp exploration facilities:

        due to less memory use & chance of accidental
        save.

        Command menu items for collecting nodes & planes;
        these appear in the treeview.  Large maps can't show
        all the planes in the treeview.

        When asked whether to save changes, don't.

        There are also some facilities for finding planes
        that lie near others: first you get ones that have
        close neighbors, then you can collect those neighbors,
        then browse the group (including opening the nodes to
        find the nodes split by a given plane).

 *Blue Shift pak's now open

 *Crystal Space Support:
    beziers & new build tool for Crystal Space support


 *6DX support:

     -Start room removed for 6DX

     - *.hmf file support added for 6dx, map checks disabled.
         6dx default map needs textures added to it
         (in data6dx.qrk)


             QuArK Snapshot 070901

Changes from 081801

 *Preliminary 6DX support
 *Cleanup of Crystal Space Support
 *arg replacer added to duplicator list (see infobase
    for usage)
 *some extruder bugs fixed
 *path dup texture bug fixed
 *'elbows' for path dup reinstated and tested
    (made elbow segs by putting path dup template
     copy into elbow template & glueing and pasting
     do dissociated path dup; didn't leak)
 *texture browser search bug fixed

             QuArK Snapshot 061801

Changes from 052101

 4 Users:
  *texture search button in texture browser
  *storeable 3d camera positions
    - add them on the 3d view eye handles & background
        RMB menus
    - they appear in the map and treeview like
        duplicators, can be dragged, deleted, etc
        like ordinary map objects
    - set and store view menu items on their RMB
    - if multiple views are open, these commands use
       the last 3d view clicked on (usually, doesn't
       quite always seem to work, dunno why)
    - cycle the ones in a group with prev/next +
        'C' depressed (should be made user-configurable)
    - find camera positions dialog on search menu
  *extruder 'revert to duplicator' now imports
    texture changes back to duplicator, so you can
    texture at least the first segment of the extruder
    by dissociating images, then change shape by revert
    to duplicator.  Hopefully useful when 1-segment
    extruder is put into path duplicator.
  *group selection movement commands (swap & align,
   suggested by Alan Donald and quantum_red)
  *due north path duplicator bug fixed
  *menu promotion/demotion added to the basic distribution
  *incrementable specifics added to basic, linear, symx/y/z
    and Copy/New Copy One duplicators.
     - If 'increment' specific is checked, then target,
         targetname and killtarget specifics ending in
         a string of digits have the digid string incremented
         in the sequence.
     - if 'incr. all targ. specific is checked, all specifics
         whose name contains 'target' get incremented.
     - any specifics listed in 'incrementable; are also
         incremented.
     - if 'final_target' has a value, this is used as the
         'target' value in the last image.  Likewise
         for 'final_killtarget' etc.
     - if 'increment by' has a value, then this is used
         as the increment, rather than 1.  This can be
         used to use increments with nested duplicators,
         if the outer one increments by 10 and the inner
         by 1, you can have an Nx9 grid,etc.
     - if 'incre_lip' has a value, then that value is
         used to increment the 'lip' speciric, likewise
         incre_<spec> for any other choice of <spec>.
     - for (New) Copy One, each duplictor needs a different
         'increment by' value (otherwise crosstalk).

     Limitation: Doesn't work for symxy and
       Radial duplicators (yet; if you want it to,
       holler).
  *corrections to the 'vertex movement' plugin (this is
    still basically experimental)
  *new 3 point plane stuff:
    a) introduce one from New Map Items|tools, drag
         the handles around and tag it, the glue, cut
         etc.
    b) use tag plane command after tagging an edge

 Under the hood:
   *entity conversion (fgd->qrk) tools pythonified
   *'Code Code' specific for toolbarbuttons (tbbtn) and
     the python buttons (Typ="P" only).

    Example for tbbtn:

     search1:tbbtn = {
       Typ = "P"
       Cap = "Search"
       Code = "import plugins.tex_search; plugins.tex_search.openbox()"
     }

     GetEntitiesBtn: =
     {
       Typ = "P"
       Cap = "Get entities for this game"
       Code = "import quarkx; quarkx.beep()"
     }

   will execute the python string in the Code specifics.


               63 Snapshot 052101

 Changes from 050701:

  *Bsp opening bug in 050701 fixed
  *Map writing altered for brush primitives, Valve mapversion
    220, and 'No TX comments' mode so that if integral or
    almost integral vertexes for a face are found, they are
    used as its threepoints.  This enables better export
    of maps to editors and tools that don't support fp
    coordinates.
  *'thin face' finder added (similar to microbrush h/k);
     detect & remove suspiciously thin faces.
  *when an 'out' duplicator is dissociated, all
    other 'out' dups in its immediate group are
    dissociated also
  *caulk of hidden faces added to brush curves & extruder
    (default tex used for games w/o a caulk texture)
  *wrong shape for non-inner non-inverse cap/bevels
    fixed (missing faces added)
  *'linear' (matrix) specific editor.
    try out with New Copy One duplicator, push button
    to call up editing dialog.
  *matrix2 support changed to linear in radial dup.
  *rotate/scale specifics removed from linearform
  *linear duplicators changed to so that by default,
    mappings apply around 'usercenter' of each item
    in their group, rather than duplicator location

     -- group
          |
          ---- linear duplicator
          |
          ----- group: if this group has a usercenter,
          |        and the dup has a linear specific,
          |        the mapping will apply with the
          |        usercenter as fixed point
          |
          ------group: ditto for this one (each around
                  its own center, seems wierd but
                  features of the code make it tricky
                  to do otherwise).

    old behavior can be restored by unchecking 'item center'.
  *support for the commercial counterstrike/hl
     expansion.
  *Hollowmaker/Wallmaker bug fixed
  *debug writing 'left' to console bug fixed


 Changes from  Snapshot 042801

  *Dragging on RMB blocked.  If anyone wants it back, an option
    could be provided.
  *instance duplicator removed from toolbox, pushing
    'instance' drops it into path dup, where it
    dumps things at the path points.  linear stuff
    removed from path point forms, prolly not useful
    New Copy One does that stuff better.
  *extruder functionality extended.  RMB menu has
    items for punching holes in things (e.g. putting
    a pipe thru a wall w/o overlap).  After 'dissociate
    images', RMB on the resulting group has an 'Extruder
    Stuff' submenu with the hole-punching, some texturing
    stuff that doesn't work right, and a 'revert' that
    restores the duplicator.
  *New Copy One duplicator, implementing ideas of Rolf
     Hulsbergen (better than Instance Dup, for many
     purposes): drop NCO into group like ordinary
     duplicator , drag image away with handle, use scale\
     & rotation fields to rotate around dup location.
  *rotation specific for linear & other dups changed
     to Typ E, so that rotation handles will work.
  *wrap texture from tagged works for parallel faces
  *wrap texture hotkey works.
  *forms creation added to forms editor
  *stvef maps now readable (no more reversion to Q3A mode,
    if in STVEF mode)


 Changes from Snapshot 042001:

  *RMB Menus for the Texture L handles: (tiglari)
    glue/align to tagged.

  *Reimplementation of addon builder: (Andy) still crashes on
    missionpack, this can be avoided by extracting the .bsp's &
    temporarily giving the .pk3 a different extension.

  *Selection menu: (tiglari, major Decker design input)
    change selection to Parent, Next, Previous in group.
      (no 'type' selections yet)

  *Reorganize/Navigate tree added to bezier RMB

  *having 'F' depressed with LMB will now select a face of current
     poly, rather than next poly.


 Changes from 6.2:

  *Customizable hot keys: (tiglari)
    Perhaps more hot  keys should be added.  Which ones?

  *Custom Centers for groups: (tiglari)
    various linear matrix operations (rotations etc)
    will use these if present

  *'scale' and 'rotation' specifics: (tiglari)
    for Linear & some other duplicators.  Does the
    work of 'linear' but more perspicuously.

  *Extuder: (tiglari)
    Makes solid & hollow pipes from 2d outline.  Put
    into path duplicator to extrude along path.

  *Instance Duplicator: (tiglari)
    For lots of copies in various places, idependent
    scale & rotation.

  *Entity Extractor: (Andy)
    I see some problem, not sure if I'm using it right.

  *Merge Polys in Group: (tiglari)
    Mergeable polys in a group are merged.  Not guaranteed
    optimal.
